#!/usr/bin/env node
"use strict";
// CHECK OVERRIDDEN METHODS:
/**
    WsOPCUAServer.createEndpoint
    WsOPCUAServer.createEndpointDescription
    OPCUAServerEndpoint._setup_server
    OPCUAServerEndpoint._dump_statistics
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const control_server_1 = require("./control-server");
process.on("uncaughtException", (err) => {
    console.error("There was an uncaught error", err);
    process.exit(1); //mandatory (as per the Node docs)
});
let controller;
function main() {
    return __awaiter(this, void 0, void 0, function* () {
        controller = yield control_server_1.startControlServer();
    });
}
main();
//# sourceMappingURL=index.js.map