import { OPCUAServer, OPCUAServerEndPoint, OPCUAServerOptions } from "node-opcua";
import { TransportType, OPCUAWsServerEndPoint, OPCUAWsServerEndpointOptions } from "./server-endpoint";
export interface WsOPCUAServerOptions extends OPCUAServerOptions {
    transportType?: TransportType;
    alternateEndpoints?: OPCUAWsServerEndpointOptions[];
}
export declare class WsOPCUAServer extends OPCUAServer {
    constructor(options: WsOPCUAServerOptions);
    private getTransportConstructor;
    protected createEndpoint(port1: number, transportType: TransportType, serverOptions: OPCUAServerOptions): OPCUAServerEndPoint | OPCUAWsServerEndPoint;
    protected createEndpointDescriptions(serverOption: WsOPCUAServerOptions, endpointOptions: OPCUAWsServerEndpointOptions): OPCUAServerEndPoint | OPCUAWsServerEndPoint;
}
